<div class="container-fluid">
  <ul class="nav nav-tabs nav-tabs-white">
    <li class="nav-item">
    <%= link_to "Home", auth_customer_path(@user.id), class: "nav-link" %>
    </li>
    <li class="nav-item">
      <%= link_to "Edit Profile", {controller: 'customers', action: "edit"}, class: "nav-link" %>
    </li>
    <li class="nav-item">
      <%= link_to "Readings", {controller: "customers", action: "readings", id: @user.id}, class: "nav-link active" %>
    </li>
  </ul>
  <div class="jumbotron">
    <div class="container">
      <div class="container-fluid">
        <div style="float: right;">
          <%= link_to "Add reading", new_auth_customer_reading_path(@user), class: "btn btn-primary" %>
        </div>
        <h2>Readings</h2>
        <table class="table table-striped">
          <thead>
            <tr>
              <th scope="col">Kwh</th>
              <th scope="col">Time</th>
              <th scope="col">Date</th>
            </tr>
          </thead>
          <tbody>
            <% @user.readings.each do |f| %>
            <tr>
              <td><%= f.kwh %></td>
              <td><%= f.local_time %></td>
              <td><%= f.local_date %></td>
              <% if current_user.admin? %>
                <td><%= link_to 'delete', auth_customer_reading_path(@user.id, f.id), method: :delete %></td>
              <% end %>
            </tr>
            <% end %>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
